Name:     granite
Version:  0.3.1
Release:  1%{?dist}
Summary:  GTK extensions for the elementary desktop
Group:    Development/Libraries
License:  LGPLv3
URL:      https://launchpad.net/granite
Source0:  %{url}/0.3/0.3.1/+download/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  gtk3-devel >= 3.11.6
BuildRequires:  libgee-devel >= 0.8
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala >= 0.23.2

%description
Granite is an extension of GTK. Among other things, 
it provides the custom widgets used in elementary apps.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the development files for %{name}.

%prep
%setup -q

%build
%cmake .
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' lib/CMakeFiles/granite.dir/link.txt
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}/usr/share/locale/rue/
%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS README COPYING
%{_datadir}/icons/hicolor/*/actions/appointment.svg
%{_datadir}/icons/hicolor/*/actions/open-menu.svg
%{_datadir}/icons/hicolor/scalable/actions/open-menu-symbolic.svg
%{_libdir}/lib%{name}.so.*
%{_libdir}/girepository-1.0/Granite-1.0.typelib

%files devel
%{_includedir}/%{name}/
%{_bindir}/%{name}-demo
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Granite-1.0.gir
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi
%{_datadir}/applications/%{name}-demo.desktop

%changelog
* Sat Jan 23 2016 Wesley Hearn <whearn@redhat.com> - 0.3.1-1
- Version bump

* Fri Nov 07 2014 Wesley Hearn <whearn@redhat.com> - 0.3.0-2
- Patch from master to allow building with vala > 0.26

* Fri Nov 07 2014 Wesley Hearn <whearn@redhat.com> - 0.3.0-1
- Version bump

* Wed Jun 18 2014 Wesley Hearn <whearn@redhat.com> - 0.2.3.1-2
- Removed rue language.
- Fixed unused-direct-shlib-dependency

* Sun Jun 01 2014 Wesley Hearn <whearn@redhat.com> - 0.2.3.1-1
- Version bump

* Mon Feb 17 2014 Wesley Hearn <whearn@redhat.com> - 0.2.3-1
- Version bump and some clean up

* Tue Aug 20 2013 TingPing <tingping@tingping.se> - 0.2.2-2
- Formatting

* Mon Aug 19 2013 TingPing <tingping@tingping.se> - 0.2.2-1
- Initial Package
